
function NewAirod = AIROsw(action,OldAirod)
%AIROsw: process AIRO screen input

NewAirod = OldAirod;

iinc = NewAirod.iinc;
hinc = NewAirod.hinc;

switch action

  case 'i1L'
    if (NewAirod.i1-NewAirod.iinc) > 0
      NewAirod.i1 = NewAirod.i1-NewAirod.iinc;
    end    
  case 'i2L'
    if (NewAirod.i2-NewAirod.iinc) > 0
      NewAirod.i2 = NewAirod.i2-NewAirod.iinc;
    end    
  case 'i3L'
    if (NewAirod.i3-NewAirod.iinc) > 0
      NewAirod.i3 = NewAirod.i3-NewAirod.iinc;
    end    
  case 'i1G'
    if (NewAirod.i1+NewAirod.i2+NewAirod.i3+NewAirod.iinc <= 10)
      NewAirod.i1 = NewAirod.i1+NewAirod.iinc;
    end
  case 'i2G'
    if (NewAirod.i1+NewAirod.i2+NewAirod.i3+NewAirod.iinc <= 10)
      NewAirod.i2 = NewAirod.i2+NewAirod.iinc;
    end
  case 'i3G'
    if (NewAirod.i1+NewAirod.i2+NewAirod.i3+NewAirod.iinc <= 10)
      NewAirod.i3 = NewAirod.i3+NewAirod.iinc;
    end
  case 'h1L'
    NewAirod.h1 = NewAirod.h1-NewAirod.hinc;
  case 'h2L'
    NewAirod.h2 = NewAirod.h2-NewAirod.hinc;
  case 'h1G'
    NewAirod.h1 = NewAirod.h1+NewAirod.hinc;
  case 'h2G'
    NewAirod.h2 = NewAirod.h2+NewAirod.hinc;

  case 'cycle'
    set(gcbo,'Enable','off');
    drawnow
    NewAirod = AIROcycle(NewAirod);
    set(gcbo,'Enable','on');
    drawnow

  case 'rfeedback'
    NewAirod.newrf = str2num(get(gcbo,'String'));

  case 'iridiumplot'
    airoplot(NewAirod);

end

%update screen
AIROnewvals(NewAirod);

