function DapRset()
%DapRset:  Reset DAP board and flush com pipes

% Open text and binary handles to ACCEL device
texthandle = dapopen('\\.\dap0\$sysin', 'write');
   if texthandle == -1
      error('Error opening DAP text handle')
   end
binaryhandle = dapopen('\\.\dap0\$binout', 'read');
   if binaryhandle == -1
      error('Error opening DAP binary handle')
   end

dappstr(texthandle, 'RESET');	% Send a command to reset the DAP
dapflush(binaryhandle);		% Flush old DAP data in binary pipe

% Close text and binary handles to ACCEL device
textclose = dapclose(texthandle);
   if textclose==0
      error('Error closing DAP text handle')
   end
binclose = dapclose (binaryhandle);
   if binclose==0
      error('Error closing DAP binary handle')
   end
